MINMAX(l)

NAME
minmax - Find extreme values in data tables

SYNOPSIS
minmax [ files] [ -C ] [ -D ] [ -H[nrec] ] [ -Idx[/dy] ] [ -L ] [ -M[flag] ] [ -: ] [ -bi[s][n] ]

DESCRIPTION
minmax reads its standard input [or from files] and finds the extreme values in each of the columns. It recognizes NaNs and will print warnings if the number of columns vary from record to record. As an option, minmax will find the extent of the first two columns rounded up and down to the nearest multiple of dx/dy. This output will be in the form -Rw/e/s/n which can be used directly in the command line for other programs, or simply in column form.

xyzfile
    ASCII [or binary, see -b] file(s) holding a fixed number of data columns.

OPTIONS

-C  Report the min/max values per column in separate columns [Default uses <min/max> format]

-D  Sets longitude discontinuity to the Dateline (-180/+180) [Default is Greenwich (0-360)]. Requires -L.

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults file. If used, GMT default is 1 header record.

-I  Report the min/max of the first two columns to the nearest multiple of dx and dy, and output this in the form -Rw/e/s/n (unless -C is set).

-L  Indicates that the x column contains longitudes, which may be periodic in 360 degrees [Default assumes no periodicity].

-M  Multiple segment file(s). Segments are separated by a special record. For ASCII files the first character must be flag [Default is '>']. For binary files all fields must be NaN.

-:  Toggles between (longitude,latitude) and (latitude,longitude) input/output. [Default is (longitude,latitude)]. Applies to geographic coordinates only. Only works when -I is selected.

-bi Selects binary input. Append s for single precision [Default is double]. Append n for the number of columns in the binary file(s). [Default is 2 input columns].

EXAMPLES
To find the extreme values in the file ship_gravity.xygd, try

minmax ship_gravity.xygd

Output should look like

ship_gravity.xygd: N = 6992 <326.125/334.684> <-28.0711/-8.6837> <-47.7/177.6> <0.6/3544.9>

To find the extreme values in the file track.xy to the nearest 5 units and use this region to draw a line using psxy, try

psxy `minmax -I5 track.xy` track.xy -Jx1 -B5 -P > track.ps

To find the min and max values for each column, but rounded to integers, try

minmax junkfile -C -I1

SEE ALSO
gmt(1gmt)